Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class DelayedCollectionChangeTrackerImpl

    java.lang.Object
      org.apache.openjpa.util.AbstractChangeTracker
          org.apache.openjpa.util.CollectionChangeTrackerImpl
              org.apache.openjpa.util.DelayedCollectionChangeTrackerImpl

All Implemented Interfaces:
  ChangeTracker, CollectionChangeTracker

    public class DelayedCollectionChangeTrackerImpl

extends CollectionChangeTrackerImpl

A collection change tracker used by delay loaded collections.

Field Summary

Fields inherited from class org.apache.openjpa.util.CollectionChangeTrackerImpl
`_coll, _dups, _order`

Fields inherited from class org.apache.openjpa.util.AbstractChangeTracker
`add, change, rem`

Constructor Summary
`DelayedCollectionChangeTrackerImpl(Collection coll, boolean dups, boolean order, boolean autoOff)`

Method Summary
`protected void` | `add(Object elem)` Mark the given value as added.
`protected void` | `change(Object elem)` Mark the given value as changed.
`protected void` | `remove(Object elem)` Mark the given value as removed.

Methods inherited from class org.apache.openjpa.util.CollectionChangeTrackerImpl
`added, allowsDuplicates, initialSequence, isOrdered, removed`

Methods inherited from class org.apache.openjpa.util.AbstractChangeTracker
`changed, getAdded, getAutoOff, getChanged, getNextSequence, getRemoved, isTracking, newSet, reset, setAutoOff, setNextSequence, startTracking, stopTracking`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ChangeTracker
`getAdded, getChanged, getNextSequence, getRemoved, isTracking, setNextSequence, startTracking, stopTracking`

Constructor Detail

### DelayedCollectionChangeTrackerImpl

    public DelayedCollectionChangeTrackerImpl(Collection coll,
                                              boolean dups,
                                              boolean order,
                                              boolean autoOff)

Method Detail

### add

    protected void add(Object elem)

  Description copied from class: `AbstractChangeTracker`
  Mark the given value as added.

  Overrides:
    `add` in class `CollectionChangeTrackerImpl`

### remove

    protected void remove(Object elem)

  Description copied from class: `AbstractChangeTracker`
  Mark the given value as removed.

  Overrides:
    `remove` in class `CollectionChangeTrackerImpl`

### change

    protected void change(Object elem)

  Description copied from class: `AbstractChangeTracker`
  Mark the given value as changed.

  Overrides:
    `change` in class `CollectionChangeTrackerImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.